BasicProvider (Axis API)
Keywords: org.apache.axis.providers.BasicProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers
Class BasicProvider

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.providers.BasicProvider

All Implemented Interfaces:
  Handler, java.io.Serializable

Direct Known Subclasses:
  BSFProvider, ComProvider, JavaProvider

public abstract class BasicProvider
extends BasicHandler

This class has one way of keeping track of the operations declared for a particular service provider. I'm not exactly married to this though.

See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `entLog`
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `OPTION_EXTRACLASSES`
`static java.lang.String` | `OPTION_WSDL_INPUTSCHEMA`
`static java.lang.String` | `OPTION_WSDL_PORTTYPE`
`static java.lang.String` | `OPTION_WSDL_SERVICEELEMENT`
`static java.lang.String` | `OPTION_WSDL_SERVICEPORT`
`static java.lang.String` | `OPTION_WSDL_SOAPACTION_MODE`
`static java.lang.String` | `OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`BasicProvider()`

Method Summary
`void` | `addOperation(java.lang.String name, QName qname)`
`void` | `generateWSDL(MessageContext msgContext)` Generate the WSDL for this service.
`java.lang.String` | `getOperationName(QName qname)`
`java.lang.String[]` | `getOperationNames()`
`QName[]` | `getOperationQNames()`
`abstract void` | `initServiceDesc(SOAPService service, MessageContext msgContext)` This method returns a ServiceDesc that contains the correct implimentation class.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.Handler
`invoke`

Field Detail

### OPTION_WSDL_PORTTYPE

    public static final java.lang.String OPTION_WSDL_PORTTYPE

See Also:
  Constant Field Values

### OPTION_WSDL_SERVICEELEMENT

    public static final java.lang.String OPTION_WSDL_SERVICEELEMENT

See Also:
  Constant Field Values

### OPTION_WSDL_SERVICEPORT

    public static final java.lang.String OPTION_WSDL_SERVICEPORT

See Also:
  Constant Field Values

### OPTION_WSDL_TARGETNAMESPACE

    public static final java.lang.String OPTION_WSDL_TARGETNAMESPACE

See Also:
  Constant Field Values

### OPTION_WSDL_INPUTSCHEMA

    public static final java.lang.String OPTION_WSDL_INPUTSCHEMA

See Also:
  Constant Field Values

### OPTION_WSDL_SOAPACTION_MODE

    public static final java.lang.String OPTION_WSDL_SOAPACTION_MODE

See Also:
  Constant Field Values

### OPTION_EXTRACLASSES

    public static final java.lang.String OPTION_EXTRACLASSES

See Also:
  Constant Field Values

### log

    protected static org.apache.commons.logging.Log log

### entLog

    protected static org.apache.commons.logging.Log entLog

Constructor Detail

### BasicProvider

    public BasicProvider()

Method Detail

### initServiceDesc

    public abstract void initServiceDesc(SOAPService service,
                                         MessageContext msgContext)
                                  throws AxisFault

  This method returns a ServiceDesc that contains the correct implimentation class.

  Throws:
    `AxisFault`

### addOperation

    public void addOperation(java.lang.String name,
                             QName qname)

### getOperationName

    public java.lang.String getOperationName(QName qname)

### getOperationQNames

    public QName[] getOperationQNames()

### getOperationNames

    public java.lang.String[] getOperationNames()

### generateWSDL

    public void generateWSDL(MessageContext msgContext)
                      throws AxisFault

  Generate the WSDL for this service. Put in the "WSDL" property of the message context as a org.w3c.dom.Document

  Specified by:
    `generateWSDL` in interface `Handler`
  Overrides:
    `generateWSDL` in class `BasicHandler`
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.